combinesummaries(1)

NAME
combinesummaries - Scalar Summary Combination Tool

SYNOPSIS
combinesummaries [Output File] [Var Names] -quiet

DESCRIPTION
combinesummaries is a combination tool for GNU R data files: it creates a single data table from multiple input files. CombineSummaries supports on-the-fly BZip2 compression. After startup, the program accepts the following commands from standard input (*not* as command-line arguments!):

- -values=Values
    Sets the values of the output variables for the next input file to the provided space-separated values. One value for each variable has to be provided.

- -input=Filename
    Process the given input file.

- -simulationdirectory=Directory
    Sets the directory where to find the input files.

ARGUMENTS
The following arguments may be provided:

Output File
    The name of the output file to be created.

Var Names
    A space-separated list of output variable names to be added to the output data tables.

-quiet
    Do not print verbose status information.

EXAMPLE
Consider two data tables v1.data.bz2 (created with ParameterY=Alpha) and v2.data.bz2 (created with ParameterY=Beta). The output data table should be written to output.data.bz2.
( echo "--values=\"Alpha\"" && \ echo "--input=v1.data.bz2" && \ echo "--values=\"Beta\"" && \ echo "--input=v2.data.bz2" ) | combinesummaries output.data.bz2 "ParameterY"

AUTHORS
Thomas Dreibholz
https://www.uni-due.de/~be0001/netperfmeter
mailto://dreibh@iem.uni-due.de